Package org.eclipse.rdf4j.sail.shacl.ast.planNodes

## Class AbstractBulkJoinPlanNode

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.planNodes.AbstractBulkJoinPlanNode

- All Implemented Interfaces:
    `PlanNode`
  Direct Known Subclasses:
    `BulkedExternalInnerJoin`, `BulkedExternalLeftOuterJoin`

      public abstract class AbstractBulkJoinPlanNode
      extends Object
      implements PlanNode

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Function<BindingSet,​ValidationTuple>` | `mapper` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractBulkJoinPlanNode()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `boolean` | `producesSorted()` |
    `boolean` | `requiresSorted()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.shacl.ast.planNodes.PlanNode

      `depth, getId, getPlanAsGraphvizDot, iterator, receiveLogger`

- - ### Field Detail

    - #### mapper

          protected Function<BindingSet,​ValidationTuple> mapper

  - ### Constructor Detail

    - #### AbstractBulkJoinPlanNode

          public AbstractBulkJoinPlanNode()

  - ### Method Detail

    - #### producesSorted

          public boolean producesSorted()

      Specified by:
        `producesSorted` in interface `PlanNode`

    - #### requiresSorted

          public boolean requiresSorted()

      Specified by:
        `requiresSorted` in interface `PlanNode`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`